public class ChangeEvent implements Comparable{
  private UpdateListener listener;
  private float time;
  
  public ChangeEvent (UpdateListener l, float t) {
    listener = l;
    time = t;
  }
  
  public int compareTo(Object o) {
     ChangeEvent e = (ChangeEvent) o;
     return (int)(time - e.time);
  }
  
  public void update () {
    listener.update();
  }
  public float getTime() {
    return time;
  }
}